import React from 'react';
import Quill, { type Delta, type EmitterSource, type QuillOptions } from "quill-next";
import { BlotConstructor } from "parchment";
import { EditorChangeHandler } from './types/editor-change-handler.type';
export interface IQuillEditorProps {
    defaultValue?: Delta;
    children?: React.ReactNode;
    readOnly?: boolean;
    config?: QuillOptions;
    onReady?: (quill: Quill) => void;
    onTextChange?: (delta: Delta, oldContent: Delta, source: EmitterSource) => void;
    onSelectionChange?: (range: Range, oldRange: Range, source: EmitterSource) => void;
    onEditorChange?: EditorChangeHandler;
    loadingFallback?: () => React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    blots?: BlotConstructor[];
}
declare const QuillEditor: {
    (props: IQuillEditorProps): React.ReactNode;
    displayName: string;
};
export { QuillEditor };
