import React from "react";
import { BlotConstructor } from "parchment";
export type BlotScope = "block" | "inline";
export interface IRenderOptions {
    value: unknown;
    attributes?: Record<string, unknown>;
}
export type RenderFunc = (optoins: IRenderOptions) => React.ReactNode;
export interface IUseEmbedBlotOptions {
    blotName: string;
    scope?: BlotScope;
    tagName?: string;
    /**
     * This is required, the quill will find the blot by this className
     */
    className: string;
    create?: (value?: unknown) => HTMLElement;
    onAttach?: (domNode: HTMLElement) => void;
    render: RenderFunc;
}
export declare function useEmbedBlot(options: IUseEmbedBlotOptions): BlotConstructor;
