/**
 * Generate by Gemini
 */
/**
 * Interface for the result of URL validation and normalization.
 */
export interface UrlValidationResult {
    isValid: boolean;
    finalUrl: string | null;
    originalInput: string | null | undefined;
    wasFixed: boolean;
}
/**
* Validates a string that might be a URL, including those without a scheme (e.g., "google.com").
* If it's a schemeless web link, it attempts to auto-prefix with "https://".
* If it's an "http://" URL, it attempts to upgrade it to "https://".
*
* @param rawInputString The string to validate and normalize.
* @returns An UrlValidationResult object.
*/
export declare function validateAndNormalizeUrlWithHttps(rawInputString: string | null | undefined): UrlValidationResult;
